---
title: "0. Introduction"
---

Welcome! This tutorial demonstrates adding the Apollo iOS SDK to an app to communicate with a GraphQL server. It is confirmed to work with the following tools:

- Xcode 12.0
- Swift 5.3
- Apollo iOS SDK 0.34.0

The tutorial assumes that you're using a Mac with Xcode installed. It also assumes some prior experience with iOS development.

> If you encounter any issues during the tutorial, feel free to ask questions by either [opening an issue on our GitHub repo](https://github.com/apollographql/apollo-ios/issues) or [stopping by our Github Discussions for help](https://github.com/apollographql/apollo-ios/discussions).

## What are you building?

This tutorial takes you through building an app to "book a seat" on any of the rockets that have been sent into space by [SpaceX](https://www.spacex.com/). Along the way, you'll build out functionality that uses the following features of the Apollo iOS SDK:

* Schema downloading
* Code generation
* Queries and mutations
* Error handling
* Query watching [🚧 UNDER CONSTRUCTION 🚧]
* File uploads [🚧 UNDER CONSTRUCTION 🚧]
* Subscriptions [🚧 UNDER CONSTRUCTION 🚧]

A pre-built GraphQL server is provided for your app to execute operations against. 

A repository with the resulting app will be kept up to date with  new chapters to the tutorial at [https://github.com/apollographql/iOSTutorial](https://github.com/apollographql/iOSTutorial).

## Ready to start?

[🚀 Let's go! 🚀](./tutorial-create-project)
